Bug 230566 - (ddc-timing) Xorg's DDC code probably has timing bugs
Xorg's DDC code probably has timing bugs
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: 234378 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-03-01 11:22 EST by Milan Kerslager
Modified: 2008-05-06 21:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 21:15:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
X server log (without config file), lowres on 1024x768 LCD (44.34 KB, text/plain)
2007-03-28 15:48 EDT, Milan Kerslager
no flags Details
X config file (623 bytes, text/plain)
2007-03-28 15:49 EDT, Milan Kerslager
no flags Details
X config file - working one (888 bytes, text/plain)
2007-03-28 15:54 EDT, Milan Kerslager
no flags Details
X server log (with config file forced to 1024x768 mode but unsupported by LCD display) (40.92 KB, text/plain)
2007-03-28 15:57 EDT, Milan Kerslager
no flags Details

  None (edit)
Description Milan Kerslager 2007-03-01 11:22:56 EST
I'm unable to get reasonable info by running ddcprobe on my laptop for LCD
display . This does not work even CRT monitor is connected. The result is that
I'm able to run X only 800x600 even 1024x768 LCD. I tryed another machines with
LCD displays with the same result.

I have VIA Technologies, Inc. VT8378 [S3 UniChrome] Integrated Video (rev 01) on
the notebook, on the second machine is nVidia Corporation C51PV [GeForce 6150]
(rev a2) and I'm not sure about the third machine but I'm able to check it.

As a second result, Anaconda is not using GUI on my laptop. Only when external
CRT monitor is connected.
Comment 1 Chris Lumens 2007-03-01 12:18:47 EST
ddcprobe is really just a thin wrapper around kudzu, which gets its information
from the info files provided by the driver.  This is probably a problem with the
driver package itself, though it could be in kudzu too.
Comment 2 Adam Jackson 2007-03-07 11:32:02 EST
Don't we still have the terrible horrible no-good very-bad ddcprobe code to do
the VBE DDC call?  I mean, if so there's not a lot we can do, but it would be
nice to get rid of if we can.

I guess the larger question is why you're limited to 8x6, which might not
actually be ddcprobe-related at all.  Do you have an X config file and log file
from an affected setup that shows you being limited to 8x6?
Comment 3 Matěj Cepl 2007-03-09 09:41:10 EST
Milan, thanks for the bug report. Could you please attach your X server config
file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug
report as individual uncompressed file attachments using the bugzilla file
attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 zavandi 2007-03-17 05:11:54 EDT
This may provide some info:

While running ddcprobe I get

Monitor autoprobe results
Monitor autoprobe failed.

...and this gets printed in /var/log/messages:

python[8172]: obsolete kudzu ddcProbe called
Comment 5 Milan Kerslager 2007-03-28 15:41:58 EDT
I tryed my LCD display with another RHEL5 system and it worked fine 1024x768.
I'm unable to run it with 1024x768 on FC6 and on current devel
Comment 6 Milan Kerslager 2007-03-28 15:48:44 EDT
Created attachment 151156 [details]
X server log (without config file), lowres on 1024x768 LCD
Comment 7 Milan Kerslager 2007-03-28 15:49:23 EDT
Created attachment 151157 [details]
X config file
Comment 8 Milan Kerslager 2007-03-28 15:54:30 EDT
Created attachment 151158 [details]
X config file - working one
Comment 9 Milan Kerslager 2007-03-28 15:57:08 EDT
Created attachment 151159 [details]
X server log (with config file forced to 1024x768 mode but unsupported by LCD display)
Comment 10 Milan Kerslager 2007-03-28 15:59:34 EDT
You may check working X server logs in bug #234306 (another RHEL5 system
connected to the same LCD monitor with working autodetected 1024x768).
Comment 11 Milan Kerslager 2007-03-28 16:33:59 EDT
BTW: ddcprobe gives nothing even system-config-display correcly detect LCD
display name and supported resolution.
Comment 12 Adam Jackson 2007-03-29 11:58:11 EDT
So the reason the other machine worked, and this one didn't, is that the other
machine was using VBE for the DDC call, and the BIOS got the timings right, and
our native I2C bus timings aren't too great.
Comment 13 Adam Jackson 2007-04-02 17:48:13 EDT
*** Bug 234378 has been marked as a duplicate of this bug. ***
Comment 14 Matthew Miller 2007-04-10 12:28:29 EDT
Fedora 7 test bugs should be filed against "devel", not against test1/2/3. This
isn't obvious, I know. Moving this report so it isn't lost.

This is a bulk message -- I apologize if this was actually meant to be targeted
against a different release. If so, please fix or let me know. Thanks.
Comment 15 Bug Zapper 2008-04-03 15:19:04 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 16 Bug Zapper 2008-05-06 21:15:33 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.